datacache <- new.env(hash=TRUE, parent=emptyenv())

celegansceentrezg <- function() showQCData("celegansceentrezg", datacache)
celegansceentrezg_dbconn <- function() dbconn(datacache)
celegansceentrezg_dbfile <- function() dbfile(datacache)
celegansceentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
celegansceentrezg_dbInfo <- function() dbInfo(datacache)

celegansceentrezgORGANISM <- "Caenorhabditis elegans"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "celegansceentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("WORMCHIP_DB", "celegansceentrezg", "chip celegansceentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("celegansceentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(celegansceentrezg_dbconn())
}

